package com.qmth.teachcloud.report.business.enums;

import java.util.Objects;

/**
 * @Description: 学期enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/7
 */
public enum SemesterEnum {

    FIRST("2020-2021学年度第1学期", 9),

    SECOND("2020-2021学年度第2学期", 8),

    THIRD("2021-2022学年度第1学期", 7),

    FOURTH("2021-2022学年度第2学期", 6),

    FIFTH("2022-2023学年度第1学期", 5),

    SIXTH("2022-2023学年度第2学期", 4),

    SEVENTH("2023-2024学年度第1学期", 3),

    EIGHTH("2023-2024学年度第2学期", 2),

    NINTH("2024-2025学年度第1学期", 1);

    private final String title;
    private final Integer index;

    private SemesterEnum(String title, Integer index) {
        this.title = title;
        this.index = index;
    }

    public String getTitle() {
        return title;
    }

    public Integer getIndex() {
        return index;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (SemesterEnum e : SemesterEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
